local _setup_original = InfamyTreeGui._setup
function InfamyTreeGui:_setup()
    _setup_original(self)
    local back_button = self._panel:text({
        vertical = "bottom",
        name = "back_button",
        align = "right",
        blend_mode = "add",
        text = utf8.to_upper(managers.localization:text("menu_back")),
        h = tweak_data.menu.pd2_large_font_size,
        font_size = tweak_data.menu.pd2_large_font_size,
        font = tweak_data.menu.pd2_large_font,
        color = BUTTON_COLOR,
        visible = false
    })
    local _, _, w, h = back_button:text_rect()

    back_button:set_size(w, h)
    back_button:set_position(math.round(back_button:x()), math.round(back_button:y()))
    back_button:set_right(self._panel:w())
    back_button:set_bottom(self._panel:h())

    local bg_back = self._fullscreen_panel:text({
        name = "TitleTextBg",
        vertical = "bottom",
        h = 90,
        align = "right",
        alpha = 0.4,
        blend_mode = "add",
        layer = 1,
        text = back_button:text(),
        font_size = tweak_data.menu.pd2_massive_font_size,
        font = tweak_data.menu.pd2_massive_font,
        color = BUTTON_COLOR
    })
    local x, y = managers.gui_data:safe_to_full_16_9(back_button:world_right(), back_button:world_center_y())

    bg_back:set_world_right(x)
    bg_back:set_world_center_y(y)
    bg_back:move(13, -9)
    MenuBackdropGUI.animate_bg_text(self, bg_back)
end